### Method

# Camel FolderSummary check_uid

since: 2.24

#### Declaration [src]

    gboolean
    camel_folder_summary_check_uid (
      CamelFolderSummary* summary,
      const gchar* uid
    )

#### Description [src]

Check if the uid is valid. This isn’t very efficient, so it shouldn’t be called iteratively.

Available since: 2.24

#### Parameters

`uid`

  Type: `const gchar*`

  A uid.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

If the uid is present in the summary or not (`TRUE` or `FALSE`).